Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class CreateManyToManyRelation

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.CreateManyToManyRelation

    public class CreateManyToManyRelation

extends ExecutableOperator

Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`CreateManyToManyRelation()`

Method Summary
`void` | `compileStatement()` Not required.
`void` | `createStatement(boolean lazy)` Prerequisites: Currently supports only a single Columnset per Concept.
`Concept` | `getCrossConcept()`
`Concept` | `getFromConcept()`
`java.util.Collection` | `getKeysConceptA()`
`java.util.Collection` | `getKeysConceptB()`
`java.util.Collection` | `getKeysOfCrossToConceptA()`
`java.util.Collection` | `getKeysOfCrossToConceptB()`
`protected Relation` | `getRelation()`
`java.lang.String` | `getTableName()`
`Concept` | `getToConcept()`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateManyToManyRelation

    public CreateManyToManyRelation()

Method Detail

### createStatement

    public void createStatement(boolean lazy)
                         throws M4CompilerError

  Prerequisites:
  - Currently supports only a single Columnset per Concept.
  - Concepts that are connected by a Relation should be materialized in advance.
  - If there are no primary keys for the From- and ToConcepts in the database the operator tries to create them. This may fail for views.

  Specified by:
    `createStatement` in class `ExecutableOperator`
  Parameters:
    `lazy` - If TRUE, run in lazy mode: create atmost one output ColumnSet
  Throws:
    `M4CompilerError`
  See Also:
    `ExecutableOperator.createStatement(boolean)`

### compileStatement

    public void compileStatement()

  Not required. Dummy method.

  Specified by:
    `compileStatement` in class `ExecutableOperator`

### getFromConcept

    public Concept getFromConcept()
                           throws M4CompilerError

  Returns:
    the Concept "TheFromConcept"
  Throws:
    `M4CompilerError`

### getToConcept

    public Concept getToConcept()
                         throws M4CompilerError

  Returns:
    the Concept "TheToConcept"
  Throws:
    `M4CompilerError`

### getCrossConcept

    public Concept getCrossConcept()
                            throws M4CompilerError

  Returns:
    the Concept representing the cross table at the relational level
  Throws:
    `M4CompilerError`

### getRelation

    protected Relation getRelation()
                            throws M4CompilerError

  Returns:
    the output Relation
  Throws:
    `M4CompilerError`

### getTableName

    public java.lang.String getTableName()
                                  throws M4CompilerError,
                                         M4Exception

  Returns:
    the target table name for the materialized cross table.
  Throws:
    `M4CompilerError`
    `M4Exception`

### getKeysConceptA

    public java.util.Collection getKeysConceptA()
                                         throws M4CompilerError

  Returns:
    `Collection` of Key Baseattributes of Concept A
  Throws:
    `M4CompilerError`

### getKeysConceptB

    public java.util.Collection getKeysConceptB()
                                         throws M4CompilerError

  Returns:
    `Collection` of Key Baseattributes of Concept B
  Throws:
    `M4CompilerError`

### getKeysOfCrossToConceptA

    public java.util.Collection getKeysOfCrossToConceptA()
                                                  throws M4CompilerError

  Returns:
    `Collection` of Key Baseattributes part of the Cross Concept that point to Concept A
  Throws:
    `M4CompilerError`

### getKeysOfCrossToConceptB

    public java.util.Collection getKeysOfCrossToConceptB()
                                                  throws M4CompilerError

  Returns:
    `Collection` of Key Baseattributes part of the Cross Concept that point to Concept B
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005